# Class: AdminGetDiscountsParams

[internal](../modules/internal-7.md).AdminGetDiscountsParams

## Hierarchy

- [`AdminGetDiscountsParams_base`](../modules/internal-7.md#admingetdiscountsparams_base)

  ↳ **`AdminGetDiscountsParams`**

## Properties

### expand

• `Optional` **expand**: `string`

#### Inherited from

AdminGetDiscountsParams\_base.expand

#### Defined in

medusa/dist/types/common.d.ts:117

___

### fields

• `Optional` **fields**: `string`

#### Inherited from

AdminGetDiscountsParams\_base.fields

#### Defined in

medusa/dist/types/common.d.ts:118

___

### is\_disabled

• `Optional` **is\_disabled**: `boolean`

#### Defined in

medusa/dist/api/routes/admin/discounts/list-discounts.d.ts:92

___

### is\_dynamic

• `Optional` **is\_dynamic**: `boolean`

#### Defined in

medusa/dist/api/routes/admin/discounts/list-discounts.d.ts:91

___

### limit

• `Optional` **limit**: `number`

#### Inherited from

AdminGetDiscountsParams\_base.limit

#### Defined in

medusa/dist/types/common.d.ts:122

___

### offset

• `Optional` **offset**: `number`

#### Inherited from

AdminGetDiscountsParams\_base.offset

#### Defined in

medusa/dist/types/common.d.ts:121

___

### q

• `Optional` **q**: `string`

#### Defined in

medusa/dist/api/routes/admin/discounts/list-discounts.d.ts:90

___

### rule

• `Optional` **rule**: [`AdminGetDiscountsDiscountRuleParams`](internal-7.AdminGetDiscountsDiscountRuleParams.md)

#### Defined in

medusa/dist/api/routes/admin/discounts/list-discounts.d.ts:89
